PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package transfer
  Definition Classes
    serverobject
- TransferBehavior
- TransferContainer

t

net.psforever.objects.serverobject.transfer

# TransferBehavior

###
Companion object TransferBehavior

#### trait TransferBehavior extends AnyRef

Self Type
  TransferBehavior with Actor
Source
  TransferBehavior.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
AntTransferBehavior, VehicleControl

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TransferBehavior
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def ChargeTransferObject: TransferContainer
2.  abstract def HandleChargingEvent(target: TransferContainer): Boolean
3.  abstract def HandleDischargingEvent(target: TransferContainer): Boolean
4.  abstract def TransferMaterial: TransferMaterial

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def TryChargingActivity(): Unit
5.  def TryDischargingActivity(): Unit
6.  def TryStopChargingEvent(container: TransferContainer): Unit
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  val findChargeTargetFunc: (TransferContainer, Option[TransferContainer]) => Option[TransferContainer]
13.  val findDischargeTargetFunc: (TransferContainer, Option[TransferContainer]) => Option[TransferContainer]
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  val transferBehavior: (TransferBehavior.this)#Receive
23.  val transferEvent: TransferBehavior.Event.Value
24.  val transferTarget: Option[TransferContainer]
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped